#!/usr/bin/php -q
<?php
require('/usr/php/include/SbcApi.php');

switch ($argv[1]) {
case 'api':
	try {
		$cloud = new SbcApi();
		proc_nice(15);
		$cloud->getTask();
		$cloud->sendStatus();
	}
	catch(Exception $e) {
		file_put_contents('/var/log/api-error.log' , $e->getMessage() .' '. $e->getFile() .' '. $e->getLine() ."\n", FILE_APPEND);
	}
	break;
case 'update':
	try {
		$cloud = new SbcApi();
		$cloud->updateFW($cloud->send('firmwareDownload'));
	}
	catch(Exception $e) {
		file_put_contents('/var/log/api-error.log' , $e->getMessage() .' '. $e->getFile() .' '. $e->getLine() ."\n", FILE_APPEND);
	}
	break;
default:
	echo "Usage: {$argv[0]} [api|update]\n";
	break;
}

exit(0);
?>
